GNU bug report logs - #31167
27.0.50; When the computer has no network connection, Emacs can take minutes to start

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; dated Sun, 15 Apr 2018 19:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 31167 <at> debbugs.gnu.org:


Received: (at 31167) by debbugs.gnu.org; 15 Apr 2018 20:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 15 16:25:17 2018
Received: from localhost ([127.0.0.1]:54590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7oD7-0003Vu-Ou
	for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 16:25:17 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:39001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1f7oD6-0003Vl-56
 for 31167 <at> debbugs.gnu.org; Sun, 15 Apr 2018 16:25:16 -0400
Received: from 46.67.12.60.tmi.telenormobil.no ([46.67.12.60] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1f7oD3-0006qA-Ac; Sun, 15 Apr 2018 22:25:15 +0200
Received: from larsi by corrigan with local (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1f7oCx-0005II-FT; Sun, 15 Apr 2018 22:25:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#31167: 27.0.50;
 When the computer has no network connection, Emacs can take minutes
 to start
References: <87lgdo6zqv.fsf@HIDDEN> <874lkcusrf.fsf@HIDDEN>
Date: Sun, 15 Apr 2018 22:25:07 +0200
In-Reply-To: <874lkcusrf.fsf@HIDDEN> (Noam Postavsky's message of "Sun, 15
 Apr 2018 16:19:48 -0400")
Message-ID: <878t9o8bfg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31167
Cc: 31167 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> According to this message from 2014 [1] it was resolved, and the
> etc/PROBLEMS entry was removed.  But the entry is still there in current
> master.

Hm...  I remember running into this a couple of weeks ago on a Debian
jessie system, and the Emacs there is...  let's see...  25.1.1.  That's
after 2014, I think, so perhaps that explains why it returned?

vc-mode seems to say that it's been in etc/PROBLEMS since around
2001-2004.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31167; Package emacs. Full text available.

Message received at 31167 <at> debbugs.gnu.org:


Received: (at 31167) by debbugs.gnu.org; 15 Apr 2018 20:20:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 15 16:20:09 2018
Received: from localhost ([127.0.0.1]:54579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7o88-0003Ng-8N
	for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 16:20:09 -0400
Received: from mail-io0-f174.google.com ([209.85.223.174]:36359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1f7o82-0003N4-Ug
 for 31167 <at> debbugs.gnu.org; Sun, 15 Apr 2018 16:20:06 -0400
Received: by mail-io0-f174.google.com with SMTP id c26so3127418iob.3
 for <31167 <at> debbugs.gnu.org>; Sun, 15 Apr 2018 13:20:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=F9H4ZP2ISBfYuStVlhQlH8C3C661UhfKrDowGtDs+2g=;
 b=c1+I3wHtEdrG3I5vLQDpuHklIzegs0lmrdVuhkWuIhXwBLvRDxcJEeSJUauw30kRi2
 0yziODgvI0H7JAW3ZHneNiL304w8UtXFs1fB9rcfy0y2Cmu+Ga+E2HZ+ZgXBfCP8tnSp
 vnjSB8eGSQ7sx3OgrJgznzqxVdqENM65fO340TcsS4RyMU0plQs9iOuOiGQuMpQQ7Q4q
 kUJScmVOB+jUSbcOU/HRap2w3txCqVsLudL1rVaPGaEdS3tcHBNMjcIYLUFj579ors5r
 cQUKMtqGkG0gIH4w7z4UZlWEozkQwGKXu+iktM317eaLLvDsSmdKYzrVHHrlgclPhw6E
 bOyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=F9H4ZP2ISBfYuStVlhQlH8C3C661UhfKrDowGtDs+2g=;
 b=sHxr2dmuMtf4JpljmhvMQ/Ypi38YSbHGpsUU3yNl9IzOrLQKT0aah1oskMyUHLUlKz
 32F6LVm1PCuT4llLgeg+91EbFH4lF874wWtC5tccE1sEj2ubr+TuDq22H79T+XlI3jzs
 e489fmFnH0jC0kyDNF9AC3GAkz41/0cal+cqZQ7VN29/rSIdg49QJZ22fr6Ltt/R0a8H
 OTKyzoL5HcpwoPaA+4kCVtKTBbA5RSTF+yrBjtfM0Cyv8F9b86aD0Nwte8h5SrXfkrhr
 d5cH9NgGWNxpcHPXh0H444Zh5d927r+gqGq9NgSZVGPKtkrwEew5/1JKpkEVx4t9befE
 bnLA==
X-Gm-Message-State: ALQs6tCzMkZe1pXEjYN1B154HxcHRvQwc+UoFNuzgcZpiBHmmO1qKSbx
 GVrdziJBd4F+lC6lFP1cMgXvfQ==
X-Google-Smtp-Source: AIpwx4+V0yyS/kRMu0S1b3vBcez2vDv8AcHJqM5fEbMK9Ox4Ik39FhZEy8EOSBkMbj6JPS1mK7iZIQ==
X-Received: by 10.107.9.87 with SMTP id j84mr6242577ioi.232.1523823597137;
 Sun, 15 Apr 2018 13:19:57 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 k204sm36538ioe.82.2018.04.15.13.19.56
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 15 Apr 2018 13:19:56 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#31167: 27.0.50;
 When the computer has no network connection, Emacs can take minutes
 to start
References: <87lgdo6zqv.fsf@HIDDEN>
Date: Sun, 15 Apr 2018 16:19:48 -0400
In-Reply-To: <87lgdo6zqv.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Sun, 15 Apr 2018 21:22:48 +0200")
Message-ID: <874lkcusrf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31167
Cc: 31167 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think the way to reproduce this error is to have the network
> configured, but not actually working.  I suspect that Emacs is doing
> some DNS stuff at startup that it shouldn't be doing.

> Hm.  Or has this finally been fixed, after all these years?  I'm unable
> to reproduce it now on my laptop, but perhaps I'm confing the network
> "wrong" in the wrong way...

It sounds like this entry in etc/PROBLEMS

    *** Emacs startup on GNU/Linux systems (and possibly other systems) is slow.

    This can happen if the system is misconfigured and Emacs can't get the
    full qualified domain name, FQDN.  You should have your FQDN in the
    /etc/hosts file, something like this:

    127.0.0.1	localhost
    129.187.137.82	nuc04.t30.physik.tu-muenchen.de	nuc04

    The way to set this up may vary on non-GNU systems.

According to this message from 2014 [1] it was resolved, and the
etc/PROBLEMS entry was removed.  But the entry is still there in current
master.

[1]: https://lists.nongnu.org/archive/html/emacs-devel/2014-12/msg02313.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31167; Package emacs. Full text available.

Message received at 31167 <at> debbugs.gnu.org:


Received: (at 31167) by debbugs.gnu.org; 15 Apr 2018 19:37:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 15 15:37:54 2018
Received: from localhost ([127.0.0.1]:54535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7nTG-0006tU-Me
	for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 15:37:54 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:38690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1f7nTE-0006tM-K4
 for 31167 <at> debbugs.gnu.org; Sun, 15 Apr 2018 15:37:53 -0400
Received: from 46.67.12.60.tmi.telenormobil.no ([46.67.12.60] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>) id 1f7nTB-0004kr-LQ
 for 31167 <at> debbugs.gnu.org; Sun, 15 Apr 2018 21:37:51 +0200
Received: from larsi by corrigan with local (Exim 4.89)
 (envelope-from <larsi@HIDDEN>) id 1f7nT6-000501-33
 for 31167 <at> debbugs.gnu.org; Sun, 15 Apr 2018 21:37:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 31167 <at> debbugs.gnu.org
Subject: Re: bug#31167: 27.0.50;
 When the computer has no network connection, Emacs can take minutes
 to start
References: <87lgdo6zqv.fsf@HIDDEN>
Date: Sun, 15 Apr 2018 21:37:43 +0200
In-Reply-To: <87lgdo6zqv.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Sun, 15 Apr 2018 21:22:48 +0200")
Message-ID: <87fu3w6z20.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31167
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hm.  Or has this finally been fixed, after all these years?  I'm unable
to reproduce it now on my laptop, but perhaps I'm confing the network
"wrong" in the wrong way...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31167; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2018 19:23:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 15 15:23:11 2018
Received: from localhost ([127.0.0.1]:54529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7nF1-0006YY-Ax
	for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 15:23:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1f7nEz-0006YL-SC
 for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 15:23:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1f7nEt-0006YF-Mm
 for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 15:23:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54553)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <larsi@HIDDEN>) id 1f7nEt-0006Y3-Jt
 for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 15:23:03 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35614)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1f7nEs-0004Fe-4S
 for bug-gnu-emacs@HIDDEN; Sun, 15 Apr 2018 15:23:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1f7nEp-0006Sa-0P
 for bug-gnu-emacs@HIDDEN; Sun, 15 Apr 2018 15:23:02 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:38794)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <larsi@HIDDEN>) id 1f7nEo-0006RX-Pv
 for bug-gnu-emacs@HIDDEN; Sun, 15 Apr 2018 15:22:58 -0400
Received: from 46.67.12.60.tmi.telenormobil.no ([46.67.12.60] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>) id 1f7nEk-00084t-4K
 for bug-gnu-emacs@HIDDEN; Sun, 15 Apr 2018 21:22:56 +0200
Received: from larsi by corrigan with local (Exim 4.89)
 (envelope-from <larsi@HIDDEN>) id 1f7nEe-0004rR-K7
 for bug-gnu-emacs@HIDDEN; Sun, 15 Apr 2018 21:22:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50;
 When the computer has no network connection, Emacs can take minutes
 to start
Date: Sun, 15 Apr 2018 21:22:48 +0200
Message-ID: <87lgdo6zqv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


And that obviously sucks, especially when you're trying to set up a new
machine.

I think the way to reproduce this error is to have the network
configured, but not actually working.  I suspect that Emacs is doing
some DNS stuff at startup that it shouldn't be doing.


In GNU Emacs 27.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2018-04-15 built on corrigan
Repository revision: 1ad6184c37a0e0f537688ea7d5e6ceca5f364eaa
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description: Debian GNU/Linux 9 (stretch)


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31167; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 15 Apr 2018 20:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.